Gravv DOCS
Docs Agent Get Started
API Reference Get a single wallet

Get a single wallet

Retrieve details of a specific wallet by wallet ID.

GET/v1/wallets/{wallet_id}

Path Parameters

Wallet ID to retrieve

Responses

Status Description
200 Wallet details retrieved successfully
400 Bad request — invalid input or missing required fields

200 response

{
"data": {
"address": "GDZQAF4A2E5VZMMQVW7XG4FKWZ5KDSUEZF5VQBDQVM53TMU2YLE54NTX",
"customer_id": "9e3cccad-e9ae-47a0-81ee-063af0159310",
"date_created": "2025-10-30T12:18:34.484+00:00",
"id": "2d52eb6d-4fac-44db-a225-d0e6aa13b0e3",
"name": "my wallet",
"network": "stellar",
"assets": [
  {
    "symbol": "XLM",
    "balance": "1500.0000000",
    "decimals": 7
  }
]
},
"error": null
}

400 response

Authorization

  • ApiKeyAuth
Was this page helpful?
Assistant
Responses are generated using AI and may contain mistakes.

Ask me anything about the documentation.

ESC